A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
getBackendCount
ArrayFire Functions | ArrayFire Functions by Category » Unified API Functions

Get the number of backends whose libraries were successfully loaded. More...

## Functions
AFAPI af_err | af_get_backend_count (unsigned *num_backends)
AFAPI unsigned | getBackendCount ()

## Detailed Description

Get the number of backends whose libraries were successfully loaded.

This will be between 0-3. 0 Being no backends were loaded and 3 being all backends loaded successfully.

## Function Documentation

## ◆ af_get_backend_count()

AFAPI af_err af_get_backend_count | ( | unsigned * | num_backends | ) |

Parameters

  [out] | num_backends | Number of available backends

Returns
  af_err error code

## ◆ getBackendCount()

AFAPI unsigned getBackendCount | ( |  | ) |

Returns
  Number of available backends